package org.acme;

import io.quarkus.test.junit.QuarkusTest;
import io.restassured.http.ContentType;
import io.restassured.response.Response;
import org.apache.commons.io.IOUtils;
import org.junit.jupiter.api.Test;

import java.io.IOException;
import java.nio.charset.StandardCharsets;

import static io.restassured.RestAssured.given;

@QuarkusTest
public class GreetingResourceTest {

    @Test
    public void testMultipartValidation() {
        String body = "a";
        given()
                .multiPart("text1", body)
                .expect()
                .statusCode(400)
                .when()
                .post("/hello-resteasy")
                .prettyPrint();

    }

    @Test
    public void testBeanparamValidation() {
        given()
                .expect()
                .statusCode(400)
                .when()
                .get("/hello-resteasy")
                .prettyPrint();
    }

    @Test
    public void testBeanparamValidation2() {
       given()
                .expect()
                .statusCode(400)
                .when()
                .get("/hello-resteasy/2")
               .prettyPrint();

    }
}