package org.acme;


import io.smallrye.common.constraint.NotNull;
import org.jboss.resteasy.reactive.MultipartForm;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.ws.rs.BeanParam;
import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;
import javax.ws.rs.core.MediaType;

@Path("/hello-resteasy")
public class GreetingResource {

    @POST
    @Consumes(MediaType.MULTIPART_FORM_DATA)
    @Produces(MediaType.APPLICATION_JSON)
    public Object hello(@MultipartForm @Valid SomeData data) {
        return data.getText();
    }

    @GET
    @Produces(MediaType.APPLICATION_JSON)
    public Object getHello(@BeanParam @Valid SomeBeanParam param) {
        return param.getParam();
    }

    @GET
    @Path("2")
    @Produces(MediaType.APPLICATION_JSON)
    public Object getHello(@NotNull @QueryParam("param") String param) {
        return param;
    }
}